Bug 1889506 - [GSS] [rhel-7] rpcinfo -p localhost shows only nlockmgr version 4
Summary: [GSS] [rhel-7] rpcinfo -p localhost shows only nlockmgr version 4
Keywords:
Status: ON_QA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: nfs-ganesha
Version: rhgs-3.5
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: RHGS 3.5.z Batch Update 3
Assignee: Frank Filz
QA Contact: Arun Kumar
URL:
Whiteboard:
Depends On:
Blocks: 1898998
TreeView+ depends on / blocked
 
Reported: 2020-10-19 19:35 UTC by slenzen
Modified: 2020-11-25 15:59 UTC (History)
14 users (show)

Fixed In Version: libntirpc-1.7.3-4.el7rhgs
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1898998 (view as bug list)
Environment:
Last Closed:
Target Upstream Version:
puebele: needinfo+


Attachments (Terms of Use)

Comment 4 Frank Filz 2020-10-21 14:25:03 UTC
Are there any errors in the Ganesha log?

Also, what is the client side mount command? And just to make sure, they aren't trying to mount from the same host running Ganesha?

Comment 46 Frank Filz 2020-11-20 21:22:01 UTC
To verify you can run cthon04 lock tests over an NFSv3 mount to the server.

Check the sockets before and after with this:

netstat -eap | grep `pidof ganesha.nfsd`

Crosscheck with looking at the open files before and after:

ls -l /proc/`pidof ganesha.nfsd`/fd

You can correlate the sockets with the fds

We expect to not see than a few udp sockets (rquotad if that is running, nfs, and maybe 2 others). With the bug not fixed, the cthon04 lock tests should result in a bunch of open sockets that may be labeled as statd.

Comment 48 Frank Filz 2020-11-23 16:04:11 UTC
I should have been not so lazy...

To run the lock tests:

[root@dhcp35-93 cthon04]# ./server -lf -o vers=3 -p /arbiter-vol -m /arbiter-vol -N 1 dhcp35-100.lab.eng.blr.redhat.com

Comment 49 Frank Filz 2020-11-23 16:05:10 UTC
It would also be good to verify the socket output before/after cthon04 without the fix.


Note You need to log in before you can comment on or make changes to this bug.